### Method

# AppStream Component get_summary

#### Declaration [src]

    const gchar*
    as_component_get_summary (
      AsComponent* cpt
    )

#### Description [src]

Get a short description of this component.

Gets property | `AppStream.Component:summary`

#### Return value

Type: `const gchar*`

The summary.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.